Package jebl.evolution.distances

# Class JukesCantorDistanceMatrix

java.lang.Object
jebl.evolution.distances.BasicDistanceMatrix
jebl.evolution.distances.JukesCantorDistanceMatrix

All Implemented Interfaces:
  `DistanceMatrix`

public class JukesCantorDistanceMatrix extends BasicDistanceMatrix
Compute jukes-cantor corrected distance matrix for a set of aligned sequences. Adapted from BEAST code by joseph.

Version:
  $Id: JukesCantorDistanceMatrix.java 998 2009-04-09 03:06:19Z richardmoir $
Author:
  Andrew Rambaut, Korbinian Strimmer, Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress)`
`JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`

## Method Summary

### Methods inherited from class jebl.evolution.distances.BasicDistanceMatrix

`getDistance, getDistance, getDistances, getSize, getSubmatrix, getTaxa`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JukesCantorDistanceMatrix

public JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress) throws CannotBuildDistanceMatrixException

Throws:
  `CannotBuildDistanceMatrixException`

### JukesCantorDistanceMatrix

public JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable) throws CannotBuildDistanceMatrixException

Throws:
  `CannotBuildDistanceMatrixException`